@echo off
REM Make sure we have enough environment space
set XYZ_ABC=123456789012345678901234567890123456789012345678901234567890
if "%XYZ_ABC%" == "123456789012345678901234567890123456789012345678901234567890" goto env_ok
echo You need to increase your environment space.
goto end
:env_ok
REM Make sure we can access at least one of the files on the net
if exist L:\MyAppDir\MyApp.exe goto net_ok
echo Can't access L:\MyAppDir\MyApp.exe.
goto end
:net_ok
set XYZ_ABC=
set SAVEPATH=%PATH%
path C:\PROGRA~1\INSTAL~1\INSTAL~1.1PR\PROGRAM;%PATH%
REM Use File Goup Updater from InstallSite (http://www.ibv-tools.de)
c:
cd "\Program Files\FGLUpdate"
fglupdte sample.dat
copy *.FGL "D:\My Installations\My Application\File Groups\*.fgl"
REM Need to change to script directory or compile doesn't work.
d:
cd "\My Installations\My Application\Script Files"
REM Client English
LanguageBuild "My Application" Client   0009
compile -DVARIABLE_1=SOME_VALUE -DVARIABLE_2=1 -I"C:\PROGRA~1\INSTAL~1\INSTAL~1.1PR\INCLUDE" "D:\My Installations\My Application\Script Files\Setup.rul" > ISBuild.rpt
if errorlevel 1 goto compile_error
isbuild -p"D:\My Installations\My Application" -m"Client" >> ISBuild.rpt
if errorlevel 1 goto build_error
copy "D:\My Installations\My Application\Media\Client\Disk Images\disk1\*.*" "d:\Release\English\Client\*.*"
REM Server English
LanguageBuild "My Application" Server   0009
compile -DVARIABLE_1=DIFFERENT_VALUE -DVARIABLE_2=2 -I"C:\PROGRA~1\INSTAL~1\INSTAL~1.1PR\INCLUDE" "D:\My Installations\My Application\Script Files\Setup.rul" > ISBuild.rpt
if errorlevel 1 goto compile_error
isbuild -p"D:\My Installations\My Application" -m"Server" >> ISBuild.rpt
if errorlevel 1 goto build_error
copy "D:\My Installations\My Application\Media\Server\Disk Images\disk1\*.*" "d:\Release\English\Server\*.*"
REM Client French
LanguageBuild "My Application" Client   040c
compile -DVARIABLE_1=SOME_VALUE -DVARIABLE_2=1 -I"C:\PROGRA~1\INSTAL~1\INSTAL~1.1PR\INCLUDE" "D:\My Installations\My Application\Script Files\Setup.rul" > ISBuild.rpt
if errorlevel 1 goto compile_error
isbuild -p"D:\My Installations\My Application" -m"Client" >> ISBuild.rpt
if errorlevel 1 goto build_error
copy "D:\My Installations\My Application\Media\Client\Disk Images\disk1\*.*" "d:\Release\French\Client\*.*"
REM Server French
LanguageBuild "My Application" Server   040c
compile -DVARIABLE_1=DIFFERENT_VALUE -DVARIABLE_2=2 -I"C:\PROGRA~1\INSTAL~1\INSTAL~1.1PR\INCLUDE" "D:\My Installations\My Application\Script Files\Setup.rul" > ISBuild.rpt
if errorlevel 1 goto compile_error
isbuild -p"D:\My Installations\My Application" -m"Server" >> ISBuild.rpt
if errorlevel 1 goto build_error
copy "D:\My Installations\My Application\Media\Server\Disk Images\disk1\*.*" "d:\Release\French\Server\*.*"
goto Done
:compile_error
Echo Error on compile; media not built. 
Pause Press any key to view report.
Type ISBuild.rpt | More
Goto Done
:build_error
Echo Error on build; media not built. 
Pause Press any key to view report.
Type ISBuild.rpt | More
:Done
move ISBuild.rpt ..
set PATH=%SAVEPATH%
set SAVEPATH=
:End
